"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
exports.infoOutputTransformer = (output, deps) => {
    const version = getPackageVersion(deps);
    return generateInfo(version, output);
};
function generateInfo(version, output) {
    return [`/* Generated by ts-generator ver. ${version} */`, "/* tslint:disable */", output].join("\n");
}
exports.generateInfo = generateInfo;
function getPackageVersion({ fs }) {
    const packageJsonPath = path_1.join(__dirname, "../../package.json");
    return JSON.parse(fs.readFileSync(packageJsonPath, "utf8")).version || "UNKNOWN";
}
